Generating reports

The Reporting API supports two types of report: transaction reports and return reports.

A transaction report includes details about all debit and credit transactions within a specified date range. A transaction report can also retrieve details about a specific transaction.

A return report includes details about returned transactions within a specified date range. The report can also retrieve details about a specific returned transaction.

Headers

Generating reports must include the following headers:

  • Authorization: Bearer token
  • Content-Type: application/json

The access token is obtained via the OAuth clientCredentials flow using the token URL: https://auth-mint.paramountcommerce.com/oauth2/token

See Authentication.

Report endpoint

To initiate a report, send an HTTP POST request to:

POST https://api-mint.paramountcommerce.com/oebigstarnoti/report/v4/report

Report request

Example JSON request

{
  "productList": [
    "IBT"
  ],
  "report": {
    "queryType": "TRANSACTION",
    "startDateTime": "2020-02-21T00:00:00.000Z",
    "endDateTime": "2020-03-21T23:59:59.000Z",
    "outputType": "JSON",
    "outputZipFile": "false"
  },
  "merchant": {
    "merchantList": [
      "Test_Q_A",
      "AutoMerV"
    ]
  },
  "transaction": {
    "transactionType": "DEBIT",
    "transactionStatus": "SUCCESSFUL",
    "currencyCode": "CAD"
  }
}

Report response

Report responses are returned as a stream, which when deserialized consist of an array of TransactionReportResponse and ReturnReportResponse objects.

The report response is one of the following, depending on the option specified in the request:

  • JSON text stream
  • CSV text stream
  • Zipped JSON
  • Zipped CSV

Example transaction CSV report

Transaction Date,Transaction Type,Merchant Transaction ID,Transaction ID,Transaction Amount,Currency,Transaction Status,Internal User ID,Transaction Fee,Merchant ID,Request Type,Payment Method,Merchant User ID,Error Code,Error Description,Country,Device Type,External Reference,Product,Payment Notification Status,Payment Region
2021-06-09T19:28:36.085657Z,CREDIT,99389289290192090223,20210609192836293607000000,10000,CAD,SUCCESSFUL,1532004065974-PR5C8U6H,200,TestAAAA,V,EFT,GD0231,,,CA,UNKNOWN,AH75WMIW2O46AJR,,IBT,,

Example transaction JSON report

{
  "product" : "IBT",
  "merchantId" : "Test_Q_A",
  "merchantUserId" : "Suneesh132",
  "merchantTransactionId" : "1623075288364",
  "productUserId" : "1623075305899-PSI9DF0H",
  "transactionId" : "20210607141506086379000000",
  "transactionNotifyStatus" : "C",
  "transactionRegion" : "ON",
  "transactionAmount" : 241,
  "currencyCode" : "CAD",
  "countryCode" : "CA",
  "transactionType" : "DEBIT",
  "transactionStatus" : "SUCCESSFUL",
  "transactionFee" : 300,
  "transactionDateTime" : "2021-06-07T14:15:06.401093Z",
  "externalReference" : "AH75WMHO3UQ1UNF",
  "errorCode" : null,
  "errorDescription" : null,
  "transactionPaymentMethod" : "EFT"
}

Example return CSV report

Settlement Date,Settlement Code,Return Code,Merchant Transaction ID,Settlement Transaction ID,Settlement Amount,Next Action Date,Transaction Type,Merchant ID,Request Type,Country,Currency,Device Type,Merchant User ID,External Reference,Payment Transaction Date,Payment Transaction ID,Product,Internal User ID,Payment Notification Status,Payment Region
2021-06-09,NSF1,901,1623267312813,20210609193607793373000000,215,D,,DEBIT,Test_Q_A,V,CA,CAD,UNKNOWN,Sineesh171,AH75WMIW37D5MU9,2021-06-09T19:35:29.429649Z,20210609193529262881000000,IBT,1623267329176-PSIALED5,1689461,C,ON
2021-06-09,NSF1,901,899800920987738818827,20210609194612616691000000,215,D,,DEBIT,Test_Q_A,V,CA,CAD,UNKNOWN,GD0231,AH75WMIW3Z6D5U2,2021-06-09T19:45:21.242418Z,20210609194530614090000000,IBT,1549642548328-PRJ7SBM4,1689470,S,ON

Example return JSON report

{
  "product" : "IBT",
  "merchantId" : "Test_Q_A",
  "merchantUserId" : "esh171",
  "merchantTransactionId" : "1623267312813",
  "productUserId" : "1623267329176-PSIALED5",
  "transactionId" : "20210609193607793373000000",
  "transactionNotifyStatus" : "C",
  "transactionRegion" : "ON",
  "transactionAmount" : 215,
  "currencyCode" : "CAD",
  "countryCode" : "CA",
  "transactionType" : "RETURN",
  "originalTransactionId" : "20210609193529262881000000",
  "originalTransactionType" : "DEBIT",
  "originalTransactionDateTime" : "2021-06-09T19:35:29.429649Z",
  "originalExternalReference" : "AH75WMIW37D5MU9",
  "reportDate" : "2021-06-09",
  "returnCode" : "901",
  "nextActionDate" : null,
  "settlementCode" : "NSF1"
},
{
  "product" : "IBT",
  "merchantId" : "Test_Q_A",
  "merchantUserId" : "GD0231",
  "merchantTransactionId" : "899800920987738818827",
  "productUserId" : "1549642548328-PRJ7SBM4",
  "transactionId" : "20210609194612616691000000",
  "transactionNotifyStatus" : "S",
  "transactionRegion" : "ON",
  "transactionAmount" : 215,
  "currencyCode" : "CAD",
  "countryCode" : "CA",
  "transactionType" : "RETURN",
  "originalTransactionId" : "20210609194530614090000000",
  "originalTransactionType" : "DEBIT",
  "originalTransactionDateTime" : "2021-06-09T19:45:21.242418Z",
  "originalExternalReference" : "AH75WMIW3Z6D5U2",
  "reportDate" : "2021-06-09",
  "returnCode" : "901",
  "nextActionDate" : null,
  "settlementCode" : "NSF1"
}